## Please check off the steps below as you complete each step:
- [ ] Put the Jira ticket number in parentheses in the **Title** e.g. `(PE-666) Add Super Duper Widget`
- [ ] Get a **review** from someone else on your team to give a `+1`

## Testing your PR:

Once you are ready for this PR to be tested against the Integration pipeline, add a
comment saying

```
Jenkins, ready for testing
```

This will kick off testing against a monolithic and split install, and a monolithic
upgrade.

## How to get your PR merged:

Have a team member who is familiar with PE module development and is
willing to sign-off merge your PR when they are ready.

You should confirm that pipelines are not red when you are merging.  You can check here:

https://cinext-jenkinsmaster-enterprise-prod-1.delivery.puppetlabs.net/view/pe-integration/

If this PR is **time sensitive** and you cannot find a team member
who can merge it or you believe the PR will require review by the maintainers,
then please send a message to @installer in the Slack `#team-installer-mgmt` channel

## After merging:

If your PR was against the non-latest branch and contains changes that need to ship with future releases -- for example, it was merged into Irving when Kearney was the current head, then an automated merge-up PR will be submitted to this project after your merged PR passes tests.  

If your PR has merge conflicts then an automated merge-up PR will not be submitted and you will need to create one yourself.

> [We have created a tool to help with this process](https://github.com/puppetlabs/pe-dev-scripts/blob/master/workflow/mergeup.sh). At a high level, the tool syncs
both branches locally, performs a `git merge <old_branch>` on a local "mergeup"
branch based off the next branch while resolving any conflicts, then, if you
have Github's `hub` tool installed, creates a PR for that branch. By performing
this step, you are ensuring that your changes will be carried correctly into future releases.

## Final Notes
The maintainers of the PE modules cannot ensure immediate turnaround on reviews.  You are empowered to merge your own PRs. If you need more information on how to merge your own PRs please reach out and we can provide information / instruction so you can merge your own PRs in the future.  

\[skip ci\] (ignore this note, it is needed to not kick off PR testing right away)
