require 'spec_helper'

describe 'pe_infrastructure::agent::meep::run' do
  let(:params) do
    {
      :timeout => 123,
    }
  end

  context 'an agent run' do
    let(:node) { 'agent.rspec' }

    it do
      is_expected.to contain_exec('execute meep')
        .with_timeout(123)
    end
  end

  context 'a meep run' do
    let(:node) { 'master.rspec' }

    around(:each) do |example|
      begin
        PuppetX::Puppetlabs::Meep::Config.local_meep_run_in_progress!
        example.run
      ensure
        PuppetX::Puppetlabs::Meep::Config.send(:remove_instance_variable, :@meep_run_in_progress)
      end
    end

    it { is_expected.to_not contain_exec('execute meep') }
  end
end
