require 'spec_helper'

describe 'pe_infrastructure::agent::meep' do
  include_context 'meep_config'
  include_context 'override_trusted_information'

  let(:layout) { 'mono' }
  let(:node) { 'master.rspec' }
  let(:pre_condition) do
    <<-EOS
# temporarily stub agent profile until PE-16734 is complete
class puppet_enterprise::profile::agent {}
class puppet_enterprise::repo {}
    EOS
  end

  context 'for an infrastructure node' do
    it { is_expected.to contain_class('pe_infrastructure::infrastructure') }
    it do
      is_expected.to contain_exec('execute meep')
        .with_command(%r{/opt/puppetlabs/bin/puppet-infrastructure configure --no-recover --agent-pid=\$PPID --detailed-exitcodes})
        .with_returns([0,2])
    end
  end

  context 'for an agent node that is not infrastructure' do
    let(:node) { 'some.agent.rspec' }

    it { is_expected.to_not contain_class('pe_infrastructure::infrastructure') }
    it { is_expected.to_not contain_exec('execute meep') }
  end
end
