require 'spec_helper'

describe 'pe_infrastructure::enterprise_conf_sync' do
  include_context 'meep_config'
  include_context 'override_trusted_information'

  let(:node) { 'master.rspec' }
  let(:layout) { 'split' }
  let(:enterprise_conf_path) { '/etc/puppetlabs/enterprise' }

  it { should compile }

  context 'on master of masters' do
    let(:node) { 'master.rspec' }
    it { is_expected.not_to contain_file(enterprise_conf_path) }
  end

  context 'not on master of masters' do
    let(:node) { 'puppetdb1.rspec' }
    it do
      is_expected.to contain_file(enterprise_conf_path)
        .with_source('puppet://master.rspec/enterprise_conf/')
    end
  end
end
