require 'spec_helper'

describe 'pe_infrastructure::infrastructure' do
  include_context 'meep_config'
  include_context 'override_trusted_information'

  let(:node) { 'master.rspec' }
  let(:layout) { 'mono' }
  let(:pre_condition) do
    <<-EOS
# temporarily stub agent profile until PE-16734 is complete
class puppet_enterprise::profile::agent {}
class puppet_enterprise::repo {}
    EOS
  end

  it { is_expected.to compile }
  it { is_expected.to contain_class('pe_infrastructure::enterprise_conf_sync') }
  it { is_expected.to contain_package('pe-modules') }
  it { is_expected.to contain_class('pe_infrastructure::puppet_infra_shims') }
end
