require 'spec_helper'

describe 'pe_infrastructure::puppet_infra_shims' do
  context 'supported operating systems' do
    it { is_expected.to compile.with_all_deps }
    it do
      is_expected.to contain_file('/opt/puppetlabs/server/apps/enterprise')
                       .with_ensure('directory')
                       .with_mode('0755')
    end
    it do
      is_expected.to contain_file('/opt/puppetlabs/server/apps/enterprise/bin')
                       .with_ensure('directory')
                       .with_mode('0755')
    end
    it do
      is_expected.to contain_file('/opt/puppetlabs/server/apps/enterprise/bin/puppet-infrastructure')
                       .with_ensure('file')
                       .with_mode('0700')
                       .with_source('puppet:///modules/pe_infrastructure/puppet-infrastructure')
                       .with_before(['File[/opt/puppetlabs/bin/puppet-infrastructure]'])
    end
    it do
      is_expected.to contain_file('/opt/puppetlabs/bin/puppet-infrastructure')
                       .with_ensure('link')
                       .with_target('/opt/puppetlabs/server/apps/enterprise/bin/puppet-infrastructure')
    end
    it do
      is_expected.to contain_file('/opt/puppetlabs/server/apps/enterprise/bin/puppet-infra')
                       .with_ensure('file')
                       .with_mode('0700')
                       .with_source('puppet:///modules/pe_infrastructure/puppet-infrastructure')
                       .with_before(['File[/opt/puppetlabs/bin/puppet-infra]'])
    end
    it do
      is_expected.to contain_file('/opt/puppetlabs/bin/puppet-infra')
                       .with_ensure('link')
                       .with_target('/opt/puppetlabs/server/apps/enterprise/bin/puppet-infra')
    end
  end
end
