require 'spec_helper'

describe 'pe_infrastructure::data' do
  let(:node) { 'master.rspec' }
  let(:gold_data) do
    {
      'pe_infrastructure::default_roles'                  => PuppetX::Puppetlabs::Meep::Defaults::ROLE_DEFINITIONS,
      'pe_infrastructure::default_parameters'                  => PuppetX::Puppetlabs::Meep::Defaults::PE_INFRASTRUCTURE,
      # 'pe_infrastructure::enterprise::repo::master'       => node,
      # 'pe_infrastructure::enterprise::repo::port'         => 8140,
      # 'pe_infrastructure::agent::pcp_broker_host'         => node,
      # 'pe_infrastructure::agent::pcp_broker_port'         => 8142,
    }
  end

  include_context 'meep_config'
  include_context 'override_trusted_information'

  context 'monolithic' do
    let(:layout) { 'mono' }

    it do
      expect(subject.execute(nil, nil)).to match(gold_data)
    end

    it "is a deep clone of role definitions" do
      expect(subject.execute(nil, nil)['pe_infrastructure::default_roles']).to_not be_equal(PuppetX::Puppetlabs::Meep::Defaults::ROLE_DEFINITIONS)
      expect(subject.execute(nil, nil)['pe_infrastructure::default_roles']['pe_role::monolithic::primary_master']).to eq(PuppetX::Puppetlabs::Meep::Defaults::ROLE_DEFINITIONS['pe_role::monolithic::primary_master'])
      expect(subject.execute(nil, nil)['pe_infrastructure::default_roles']['pe_role::monolithic::primary_master']).to_not be_equal(PuppetX::Puppetlabs::Meep::Defaults::ROLE_DEFINITIONS['pe_role::monolithic::primary_master'])
    end
  end

  context 'split' do
    let(:layout) { 'split' }

    it do
      is_expected.to run.with_params(nil, nil).and_return(gold_data)
    end
  end

  context 'replica' do
    let(:layout) { 'replica' }

    it do
      is_expected.to run.with_params(nil, nil).and_return(gold_data)
    end

  end
end
