require 'spec_helper'

describe :pe_infrastructure_nodes do
  let(:node) { 'master.rspec' }

  include_context 'meep_config'
  include_context 'override_trusted_information'

  context 'monolithic' do
    let(:layout) { 'mono' }

    it do
      expect(subject.execute()).to match_array([
        "master.rspec",
        "compile.rspec",
      ])
    end
  end

  context 'replica' do
    let(:layout) { 'replica' }

    it do
      expect(subject.execute()).to match_array([
        "master.rspec",
        "compile.rspec",
        "enabled_replica.rspec",
        "provisioned_replica.rspec",
      ])
    end
  end

  context 'custom-roles' do
    let(:layout) { 'custom-roles' }

    it do
      expect(subject.execute()).to match_array([
        "master.rspec",
        "compile.rspec",
        "compile2.rspec",
      ])
    end
  end
end
