require 'spec_helper'

describe 'pe_is_bootstrapping_to' do
  context 'being compiled by puppetserver' do
    it { is_expected.to run.with_params.and_return(false) }
  end

  context 'being compiled by meep invoked by the puppet-enterpise-installer shim' do
    around(:each) do |example|
      begin
        PuppetX::Puppetlabs::Meep::Config.bootstrap_run_in_progress!('2017.1.0')
        example.run
      ensure
        PuppetX::Puppetlabs::Meep::Config.send(:remove_instance_variable, :@bootstrap_version)
      end
    end

    it { is_expected.to run.with_params.and_return('2017.1.0') }
  end
end
