require 'spec_helper'

describe :pe_is_infrastructure do
  let(:node) { 'master.rspec' }

  include_context 'meep_config'
  include_context 'override_trusted_information'

  context "monolithic" do
    let(:layout) { 'mono' }

    it "is true by default if the node the catalog is being compiled for is infrastructure" do
      is_expected.to run.with_params().and_return(true)
    end

    it "is true if given an infrastructure cert" do
      is_expected.to run.with_params('compile.rspec').and_return(true)
    end

    it "is false if given a non infrastructure cert" do
      is_expected.to run.with_params('agent.rspec').and_return(false)
    end

    context "for non infrastructure node" do
      let(:node) { 'agent.rspec' }
      let(:layout) { 'replica' }

      it "is false" do
        is_expected.to run.with_params().and_return(false)
      end

      it "is still true if given an infrastructure cert" do
        is_expected.to run.with_params('master.rspec').and_return(true)
      end
    end
  end
end
