require 'spec_helper'

describe :pe_meep_is_executing do
  let(:layout) { 'mono' }
  let(:node) { 'master.rspec' }

  include_context 'meep_config'

  context 'being compiled by puppetserver' do
    it { is_expected.to run.with_params.and_return(false) }
  end

  context 'being compiled by meep' do
    around(:each) do |example|
      begin
        PuppetX::Puppetlabs::Meep::Config.local_meep_run_in_progress!
        example.run
      ensure
        PuppetX::Puppetlabs::Meep::Config.send(:remove_instance_variable, :@meep_run_in_progress)
      end
    end

    it { is_expected.to run.with_params.and_return(true) }
  end
end
