require 'spec_helper'

describe :pe_replication_mode do
  let(:node) { 'master.rspec' }

  include_context 'meep_config'
  include_context 'override_trusted_information'

  context "monolithic" do
    let(:layout) { 'mono' }

    context "argument validation" do
      it "requires at least one arg" do
        is_expected.to run.with_params.and_raise_error(ArgumentError, /expects 1.*got none/i)
      end

      it "checks that certname argument only accepts strings" do
        is_expected.to run.with_params(1).and_raise_error(ArgumentError, /certname.*expects a String/i)
      end

      it "does not accept three args" do
        is_expected.to run.with_params('foo','bar','baz').and_raise_error(ArgumentError, /expects 1.*got 3/i)
      end
    end

    it { is_expected.to run.with_params('master.rspec').and_return('none') }
  end

  context "split" do
    let(:layout) { 'split' }

    it { is_expected.to run.with_params('master.rspec').and_return('none') }
    it { is_expected.to run.with_params('console.rspec').and_return('none') }
  end

  context "replica" do
    let(:layout) { 'replica' }

    it { is_expected.to run.with_params('master.rspec').and_return('source') }
    it { is_expected.to run.with_params('compile.rspec').and_return('none') }
    it { is_expected.to run.with_params('provisioned_replica.rspec').and_return('replica') }
    it { is_expected.to run.with_params('enabled_replica.rspec').and_return('replica') }
  end
end
