require 'spec_helper'

describe :pe_role do
  let(:node) { 'master.rspec' }

  include_context 'meep_config'
  include_context 'override_trusted_information'

  context "monolithic" do
    let(:layout) { 'mono' }

    it { is_expected.to run.with_params.and_return('pe_role::monolithic::primary_master') }
    it { is_expected.to run.with_params('not.appearing.in.this.infrastructure').and_return(nil) }
  end

  context "split" do
    let(:layout) { 'split' }
    let(:node) { 'puppetdb1.rspec' }

    it { is_expected.to run.with_params.and_return('pe_role::split::puppetdb') }
    it { is_expected.to run.with_params('master.rspec').and_return('pe_role::split::primary_master') }
    it { is_expected.to run.with_params('not.appearing.in.this.infrastructure').and_return(nil) }
  end
end
