RSpec.shared_examples 'pe_list_node' do
  let(:node) { 'master.rspec' }

  include_context 'meep_config'
  include_context 'override_trusted_information'

  context "mono" do
    let(:layout) { 'mono' }

    it "raises an exception if passed parameters" do
      is_expected.to run.with_params(1).and_raise_error(ArgumentError, /expects no arguments/)
    end

    it { is_expected.to run.with_params.and_return(expectations[:mono]) }
  end

  context "split" do
    let(:layout) { 'split' }
    it { is_expected.to run.with_params.and_return(expectations[:split]) }
  end

  context "replica" do
    let(:layout) { 'replica' }
    it { is_expected.to run.with_params.and_return(expectations[:replica]) }
  end

  context "external-services" do
    let(:layout) { 'external-services' }
    it { is_expected.to run.with_params.and_return(expectations[:external]) }
  end
end
