require 'puppet'
RSpec.configure do |config|
  # Re-override the mock_with :mocha that is in
  # puppetlabs_spec_helper-1.1.1/lib/puppetlabs_spec_helper/puppet_spec_helper.rb:122
  config.mock_with :rspec
end
require 'puppetlabs_spec_helper/module_spec_helper'
require 'shared/examples'
require 'shared/contexts'
require 'rspec-puppet-facts'
require 'rspec/meep'

# Emulate $LOAD_PATH for puppet subcommands:
# https://github.com/puppetlabs/puppet/blob/4.5.3/lib/puppet/util/command_line.rb#L110-L119
# This is most important for being able to load hiera/backend/hocon_backend.rb from pe_manager
Dir.glob('spec/fixtures/modules/*').each do |f|
  next if ['pe_infrastructure'].include?(File.basename(f))
  $LOAD_PATH << "#{f}/lib" if File.directory?(f)
end

RSpec.configure do |config|
  config.extend(RspecPuppetFacts)
  config.default_facts = {
    :osfamily                  => 'RedHat',
    :operatingsystem           => 'CentOS',
    :lsbmajdistrelease         => '6',
    :operatingsystemrelease    => '6',
    :is_pe                     => 'true',
    :pe_concat_basedir         => '/tmp/file',
    :platform_symlink_writable => true,
    :puppetversion             => '4.5.1',
  }
end
