#!/opt/puppetlabs/puppet/bin/ruby

#==========================================================
# Copyright @ 2014 Puppet Labs, LLC
# Redistribution prohibited.
# Address: 308 SW 2nd Ave., 5th Floor Portland, OR 97204
# Phone: (877) 575-9775
# Email: info@puppetlabs.com
#
# Please refer to the LICENSE.pdf file included
# with the Puppet Enterprise distribution
# for licensing information.
#==========================================================

#===[ Summary ]============================================
# This ruby script updates the superuser password in RBAC
# to be what is set during the installer interview.
#==========================================================

#===[ Functions ]==========================================

$LOAD_PATH << '/opt/puppetlabs/server/data/environments/enterprise/modules/pe_manager/lib'
require 'puppet_x/util/reset_password'

class SetConsoleAdminPassword
  def deprecated_set_password(password)
    name = '/opt/puppetlabs/server/bin/set_console_admin_password.rb'
    puts("The #{name} script is deprecated and will be removed in a future release. Please use `puppet infrastructure console_password` to set the console admin password in the future.")
    PuppetX::Util::ResetPassword.reset_password('admin', password)
  end

  def deprecated_get_reset_url
    name = '/opt/puppetlabs/server/bin/set_console_admin_password.rb'
    puts("The #{name} script is deprecated and will be removed in a future release. Please use `puppet infrastructure console_password` to set the console admin password in the future.")
    output = PuppetX::Util::ResetPassword.console_reset_admin_url
    puts("Use this link to reset the console admin password: #{output}")
  end
end
  
if __FILE__ == $0
  admin_password = ARGV[ARGV.length - 1].to_s.chomp

  if admin_password == ""
    puts "You must supply a password to use this script."
    exit 1
  end

  case ARGV[0].downcase
  when 'reset_url'
    begin
      rp = SetConsoleAdminPassword.new
      rp.deprecated_get_reset_url
    rescue RuntimeError => e
      puts e.message
      exit 1
    end
  else
    begin 
      rp = SetConsoleAdminPassword.new
      rp.deprecated_set_password(admin_password)
      puts "Successfully updated admin password."
    rescue RuntimeError => e
      puts e.message
      exit 1
    end
  end
end
