define pe_install::stop_service(
  String $service,
  Array[Type[Resource]] $before_reference = [Class['Puppet_enterprise::Packages']],
  Array[Type[Resource]] $after_reference = [],
  Optional[String] $stop_command = undef,
) {
  $additional_parameters = empty($stop_command) ? {
    true  => {},
    false => {
      stop => $stop_command,
    }
  }
  service { "Shutdown ${service} before ${before_reference}":
    name    => $service,
    ensure  => stopped,
    enable  => false,
    before  => $before_reference,
    require => $after_reference,
    *       => $additional_parameters
  }
}

