require 'spec_helper'

describe 'pe_install::upgrade::clear_cached_catalogs' do
  let(:node) { 'isolated' }
  let(:client_datadir) { '/tmp/catalogs' }
  before :each do
    Puppet[:client_datadir] = client_datadir
  end

  context 'upgrading' do
    on_supported_os.each do |os, base_facts|
      let(:params) do
        {
          :clear_cache => true
        }
      end

      it { is_expected.to compile.with_all_deps }
      it do
        is_expected.to contain_file(client_datadir)
        .with_ensure('absent')
        .with_recurse('true')
        .with_purge(true)
      end
    end
  end

  context 'not upgrading' do
    on_supported_os.each do |os, base_facts|
      let(:params) do
        {
          :clear_cache => false
        }
      end

      it { is_expected.to compile.with_all_deps }
      it { is_expected.to_not contain_file(client_datadir) }
    end
  end
end
