# Generally pe_install is applied by pe_manager's enterprise face, which will
# always just 'include pe_install'.  What classes pe_install includes depends 
# on how pe.conf's host settings compare with the certname of the node we 
# are compiling for.  These values are set via spec/fixtures/hiera and the
# rspec-puppet :node variable.
node dependency-tester, isolated, replica.rspec {
  # just want the fixtures/modules/dependency-matchers/manifests/init.pp class
}
node upgrademono.rspec {
  class { 'puppet_enterprise::packages':
    installing =>  true,
  }
  class { 'pe_install':
    upgrade_from => '2017.2.2',
  }
  class { 'pe_install::upgrade::postgres':
    old_postgres_version => '9.4',
    new_postgres_version => '9.6',
  }
}
node razor.rspec {
  include 'pe_razor'
}
node default {
  include 'pe_install'
}
