# Verifies that puppet_enterprise::packages::installing has been set tru.
# This is set during an install or upgrade run (puppet infra configure called
# with --install/--upgrade flags):
#
# pe_manager/lib/puppet/face/infrastructure/configure.rb:643 (classes_to_include())
#
# It is currently simulated in these spec tests by adding the
# '"puppet_enterprise::packages::installing": true' to whatever pe.conf we are
# testing with.
RSpec.shared_examples('no repo config during install or upgrade') do
  it do
    is_expected.to contain_class('puppet_enterprise::packages')
      .with_installing(true)
  end
  it { is_expected.to_not contain_class('puppet_enterprise::repo::config') }
end
