require 'spec_helper'

describe :pe_formatted_date do
  let(:scope) { PuppetlabsSpec::PuppetInternals.scope }

  it "should exist" do
    expect(Puppet::Parser::Functions.function("pe_formatted_date")).to eq("function_pe_formatted_date")
  end

  it "should raise a ParseError if there is less than 1 arguments" do
    expect { scope.function_pe_formatted_date([]) }.to( raise_error(Puppet::ParseError) )
  end

  it "should return a formatted date string when called properly" do
    expect(scope.function_pe_formatted_date(['+%Y-%m-%d %H:%M:%S %z'])).to match(/^(\+|-)\d{4}-\d{2}-\d{2}\s\d{2}:\d{2}:\d{2}\s(\+|-)\d{4}/)
  end

end
