require 'puppet/network/http_pool'
require 'puppet/util/colors'
require 'hocon'

module PuppetX
  module Util
    class RBAC

      def self.default_token_path()
        File.expand_path('~/.puppetlabs/token')
      end

      def self.load_token(path_override=nil)
        path = path_override || self.default_token_path()
        unless File.file?(path)
          raise _("Couldn't find an RBAC token at %{path}.") % { path: path } + " " + _("Run 'puppet access login' to get a token.")
        end
        File.read(path).strip
      end

    end
  end
end
