# This is a hollowed out version of the classifier's Hiera 5 data_hash function:
# https://github.com/puppetlabs/classifier/blob/1.14.32/puppet/lib/puppet/functions/classifier_data.rb
#
# It exists here solely for the purpose of spec testing the interaction of
# the recover_configuration action with the classifier's hiera data layer.
#
# It is here in a module so that Puppet's loaders are able to find it when 
# Hiera 5 is loading backends to perform the lookup.
Puppet::Functions.create_function(:classifier_data) do
  dispatch :classifier_data do
    param 'Any', :options
    param 'Puppet::LookupContext', :context
  end

  def classifier_data(options, context)
    # Validates PE-22444 (if closure_scope comes back as a simple Hash,
    # because the compiler's Puppet::Parser::Scope has not been made available
    # to the thread, then this is where things fail...)
    node = closure_scope.compiler.node

    # The actual classifer_data function then does things, but all we
    # care about is that our closure_scope is a working
    # Puppet::Parser::Scope...
    {
      'node_name' => node.name,
      'scope_class' => closure_scope.class.to_s
    }
  end
end
