module PuppetX
  class TestUtil
    def self.pe_all_groups()
      [
        {"parent"=>"00000000-0000-4000-8000-000000000000",
         "environment_trumps"=>false,
         "name"=>"All Nodes",
         "rule"=>["and", ["~", "name", ".*"]],
         "variables"=>{},
         "id"=>"00000000-0000-4000-8000-000000000000",
         "environment"=>"production",
         "classes"=>{}},
        {"parent"=>"42210df4-e006-4c21-9c6e-5d49d3c73169",
         "environment_trumps"=>false,
         "name"=>"PE Certificate Authority",
         "rule"=>["or", ["=", "name", "mom.dev"]],
         "variables"=>{},
         "id"=>"0663fb05-b85f-4291-99b7-4f60463c95b3",
         "environment"=>"production",
         "classes"=>{"puppet_enterprise::profile::certificate_authority"=>{}}},
        {"parent"=>"00000000-0000-4000-8000-000000000000",
         "environment_trumps"=>true,
         "name"=>"Production environment",
         "rule"=>["and", ["~", "name", ".*"]],
         "variables"=>{},
         "id"=>"2d5222bd-d2b2-4011-9183-d105646c7210",
         "environment"=>"production",
         "classes"=>{}},
        {"parent"=>"42210df4-e006-4c21-9c6e-5d49d3c73169",
         "environment_trumps"=>false,
         "name"=>"PE Console",
         "rule"=>["or", ["=", "name", "mom.dev"]],
         "variables"=>{},
         "id"=>"37f6c530-cae2-4d38-aa6c-b3cb0979e89c",
         "environment"=>"production",
         "classes"=>{"puppet_enterprise::profile::console"=>{},
                     "puppet_enterprise::license"=>{}}},
        {"parent"=>"00000000-0000-4000-8000-000000000000",
         "environment_trumps"=>false,
         "name"=>"PE Infrastructure",
         "variables"=>{},
         "id"=>"42210df4-e006-4c21-9c6e-5d49d3c73169",
         "environment"=>"production",
         "classes"=>{"puppet_enterprise"=>{"certificate_authority_host"=>"mom.dev",
                                           "console_host"=>"mom.dev",
                                           "database_host"=>"mom.dev",
                                           "ha_enabled_replicas"=>["replica.dev"],
                                           "pcp_broker_host"=>"mom.dev",
                                           "puppetdb_host"=>"mom.dev",
                                           "puppet_master_host"=>"mom.dev"}}},
        {"parent"=>"42210df4-e006-4c21-9c6e-5d49d3c73169",
         "environment_trumps"=>false,
         "name"=>"PE Master",
         "rule"=>["or", ["=", "name", "mom.dev"]],
         "variables"=>{},
         "id"=>"523c6fc5-6f3d-4e25-af2e-971172caa179",
         "environment"=>"production",
         "classes"=>{"pe_repo"=>{},
                     "pe_repo::platform::el_7_x86_64"=>{},
                     "puppet_enterprise::profile::master"=>{"classifier_client_certname"=>["mom.dev", "replica.dev"],
                                                            "classifier_host"=>["mom.dev", "replica.dev"],
                                                            "classifier_port"=>[4433, 4433],
                                                            "code_manager_auto_configure"=>true,
                                                            "puppetdb_host"=>["mom.dev", "replica.dev"],
                                                            "puppetdb_port"=>[8081, 8081],
                                                            "r10k_remote"=>"https://github.com/puppetlabs/control-repo"},
                     }},
        {"parent"=>"42210df4-e006-4c21-9c6e-5d49d3c73169",
         "environment_trumps"=>false,
         "name"=>"PE Agent",
         "rule"=>["and", ["~", ["fact", "aio_agent_version"], ".+"]],
         "variables"=>{},
         "id"=>"6cfb774b-f429-4420-b415-d1871c42b0b6",
         "environment"=>"production",
         "classes"=>{"puppet_enterprise::profile::agent"=>{"manage_puppet_conf"=>true,
                                                           "pcp_broker_ws_uris"=>["wss://lb1.dev:8142/pcp/",
                                                                                  "wss://lb2.dev:8142/pcp/"],
                                                           "pcp_broker_list" => ["listlb1.dev:8142","listlb2.dev:8142"],
                                                           "server_list"=>["mom.dev:8140",
                                                                           "replica.dev:8140"]}}},
        {"parent"=>"523c6fc5-6f3d-4e25-af2e-971172caa179",
         "environment_trumps"=>false,
         "name"=>"PE HA Master",
         "rule"=>["or", ["=", "name", "mom.dev"]],
         "variables"=>{},
         "id"=>"8f16b892-b2f8-46f7-8b8f-baa0fd96defa",
         "environment"=>"production",
         "classes"=>{"puppet_enterprise::profile::master"=>{"file_sync_enabled"=>true,
                                                            "provisioned_replicas"=>["replica.dev"],
                                                            "replication_mode"=>"source"},
                     "puppet_enterprise::profile::console"=>{"replication_mode"=>"source"},
                     "puppet_enterprise::profile::database"=>{"replica_hostnames"=>["replica.dev"],
                                                              "replication_mode"=>"source"},
                     "puppet_enterprise::profile::puppetdb"=>{"sync_peers"=>[{"host"=>"replica.dev",
                                                                              "port"=>8081,
                                                                              "sync_interval_minutes"=>2}],
                                                              "sync_whitelist"=>["replica.dev"]}}},
        {"parent"=>"2d5222bd-d2b2-4011-9183-d105646c7210",
         "environment_trumps"=>true,
         "name"=>"Agent-specified environment",
         "variables"=>{},
         "id"=>"91e40f7d-ffaf-4966-b4e9-8d8dd59bc7fb",
         "environment"=>"agent-specified",
         "classes"=>{}},
        {"parent"=>"42210df4-e006-4c21-9c6e-5d49d3c73169",
         "environment_trumps"=>false,
         "name"=>"PE PuppetDB",
         "rule"=>["or", ["=", "name", "mom.dev"]],
         "variables"=>{},
         "id"=>"a3ef5e7a-152b-4994-8735-1f9e676aa3bc",
         "environment"=>"production",
         "classes"=>{"puppet_enterprise::profile::puppetdb"=>{}}},
        {"parent"=>"6cfb774b-f429-4420-b415-d1871c42b0b6",
         "environment_trumps"=>false,
         "name"=>"PE Infrastructure Agent",
         "rule"=>["and", ["~", ["fact", "pe_server_version"], ".+"]],
         "variables"=>{},
         "id"=>"aaa5767f-7ab8-407f-8683-6155d3a82c74",
         "environment"=>"production",
         "classes"=>{"puppet_enterprise::profile::agent"=>{"server_list"=>["mom.dev:8140", "replica.dev:8140"],
                                                           "pcp_broker_list" => ["listmom.dev:8142","listreplica.dev:8142"],
                                                           "pcp_broker_ws_uris"=>["wss://mom.dev:8142/pcp/",
                                                                                  "wss://replica.dev:8142/pcp/"],
                                                           }}},
        {"parent"=>"42210df4-e006-4c21-9c6e-5d49d3c73169",
         "environment_trumps"=>false,
         "name"=>"PE Orchestrator",
         "rule"=>["or", ["=", "name", "mom.dev"]],
         "variables"=>{},
         "id"=>"aef500e1-0490-4b17-a86c-b6b689746b0f",
         "environment"=>"production",
         "classes"=>{"puppet_enterprise::profile::orchestrator"=>{}}},
        {"parent"=>"42210df4-e006-4c21-9c6e-5d49d3c73169",
         "environment_trumps"=>false,
         "name"=>"PE HA Replica",
         "rule"=>["or", ["=", "name", "replica.dev"]],
         "variables"=>{},
         "id"=>"c8aedcb1-62fe-4292-8c59-93bc3675bc33",
         "environment"=>"production",
         "classes"=>{"puppet_enterprise::profile::primary_master_replica"=>{}}}
      ]
    end
  end
end
