require 'shared/pe_conf_recover_context'
require 'shared/contexts'
require 'rspec-puppet-facts'
include RspecPuppetFacts
require 'rspec/meep'

# Emulate $LOAD_PATH for puppet subcommands:
# # https://github.com/puppetlabs/puppet/blob/4.5.3/lib/puppet/util/command_line.rb#L110-L119
dir = File.expand_path(File.dirname(__FILE__))
$LOAD_PATH.push File.join(dir, 'fixtures/modules/pe_install/lib')
$LOAD_PATH.push File.join(dir, 'fixtures/modules/pe_infrastructure/lib')

# This is a convenience for just requiring 'service_helpers' rather than 'lib/service_helpers'
# in tests
$LOAD_PATH.push File.join(dir, 'lib')

module FixturePath
  def fixtures_path
    dir = File.expand_path(File.dirname(__FILE__))
    "#{dir}/fixtures"
  end
end

RSpec.configure do |config|
  config.include(FixturePath)
  # Re-override the mock_with :mocha that is in
  # puppetlabs_spec_helper-1.1.1/lib/puppetlabs_spec_helper/puppet_spec_helper.rb:122
  config.mock_with :rspec
end
require 'puppetlabs_spec_helper/module_spec_helper'
