require 'spec_helper'
require 'puppet/face'
require 'puppet/network/http_pool'
require 'hocon'
require 'webmock/rspec'
require 'services_helpers'

describe Puppet::Face[:infrastructure, :current] do
  let(:action) { subject.get_action(:forget) }

  context "forget action" do
    context 'normal conditions' do
      it 'fails fast without a token' do
        expect { subject.forget('replica.net', {:token_file => '/not/a/real/path'}) }.to raise_error(RuntimeError, /RBAC token/)
      end
    end
  end

  context 'with help example flag' do
    let(:action) { 'forget' }

    include_examples 'help'
  end
end
