require 'spec_helper'
require 'puppet_x/util/forget'
require 'puppet/network/http_pool'
require 'puppet/util/colors'

describe PuppetX::Util::Forget do
  context 'pglogical_hash' do
    it 'returns the expected hash value' do
      result = PuppetX::Util::Forget.pglogical_hash('mom.dev')
      expect(result).to eq('e58b8d7519df24')
    end

    context 'generate_dropping_manifest' do
      it 'returns the expected manifest' do
        result = PuppetX::Util::Forget.generate_dropping_manifest('mom.dev', 'replica.dev')
        expected_lines = [
          "include puppet_enterprise::params",
          "pe_postgresql_replication_slot {'pgl_pe_classifier_ne58b8d7519df24_sfaad0cf2161895': ensure => absent}",
          "pe_postgresql_replication_slot {'pgl_pe_activity_ne58b8d7519df24_sfaad0cf2161895': ensure => absent}",
          "pe_postgresql_replication_slot {'pgl_pe_rbac_ne58b8d7519df24_sfaad0cf2161895': ensure => absent}",
          "pe_postgresql_replication_slot {'pgl_pe_orchestrator_ne58b8d7519df24_sfaad0cf2161895': ensure => absent}"
        ]
        expected_lines.each do |expected|
          expect(result).to include(expected)
        end
      end
    end
  end
end
