require 'spec_helper'
require 'shared_context'

describe 'pe_repo' do
  let(:pe_build_version) { '2015.2.1' }
  include_context 'pe_build_version function'

  it "compiles" do
    should compile.with_all_deps
  end

  context "with pe_build fact" do
    let(:facts) do
      {
        :pe_build => '2015.2.0',
      }
    end

    it "uses the agent fact" do
      should contain_file('/opt/puppetlabs/server/data/packages/public/current')
        .with_target('/opt/puppetlabs/server/data/packages/public/2015.2.1')
    end
  end

  context "without pe_build fact" do
    # Mystery: Not specifying a nil pe_build causes the mock function not to be executed...?
    let(:facts) do
      {
        :pe_build => nil,
      }
    end

    it "relies on compiling master's pe_build_version()" do
      should contain_file('/opt/puppetlabs/server/data/packages/public/current')
        .with_target('/opt/puppetlabs/server/data/packages/public/2015.2.1')
    end
  end

end
