require 'spec_helper'
require 'shared_context'

describe 'pe_repo::debian' do
  let(:title) { 'ubuntu-14.04-amd64' }
  let(:pe_build_version) { '2015.2.1' }
  let(:aio_agent_version) { '1.2.3.4' }
  let(:aio_agent_build) { '1.2.3.4' }
  let(:platform) { 'ubuntu-1604-amd64' }
  include_context 'pe_build_version function'

  before(:each) do
    params[:codename] = 'xenial'
  end

  RSpec.shared_examples 'deb behavior' do
    include_examples 'pe_repo::el/deb/sles'

    it 'builds template with exact agent version' do
      is_expected.to contain_file("/opt/puppetlabs/server/data/packages/public/#{pe_build_version}/#{platform}.bash")
        .with_content(/apt-get install.* puppet-agent=#{aio_agent_build}\b/)
    end
  end

  include_examples 'deb behavior'

  context 'with a dev puppet-agent version' do
    let(:aio_agent_build) { '1.2.3.4.gabcde' }

    include_examples 'deb behavior'
  end
end
