require 'spec_helper'
require 'shared_context'

describe 'pe_repo::deprecation_warning' do
  let(:title) { 'el-7-x86_64' }

  it "compiles" do
    should compile.with_all_deps
  end

  it "emits a warning indicating that the platform is being deprecated" do
    should contain_notify("#{title} deprecation warning")
      .with_loglevel("warning")
      .with_message("#{title} has reached end of life and is no longer being maintained. Puppet is no longer supporting or building agents on this platform. Any existing #{title} agents you have deployed will continue to work. Please remove this class from classification.")
  end
end
