require 'spec_helper'
require 'shared_context'

describe 'pe_repo::el' do
  let(:title) { 'el-7-x86_64' }
  let(:pe_build_version) { '2015.2.1' }
  let(:aio_agent_version) { '1.2.3.4' }
  let(:aio_agent_build) { '1.2.3.4' }
  let(:platform) { 'el-7-x86_64' }
  include_context 'pe_build_version function'

  RSpec.shared_examples 'el behavior' do
    include_examples 'pe_repo::el/deb/sles'

    it 'builds template with exact agent version' do
      is_expected.to contain_file("/opt/puppetlabs/server/data/packages/public/#{pe_build_version}/#{platform}.bash")
        .with_content(/yum install.* puppet-agent-#{aio_agent_build}\b/)
    end
  end

  include_examples 'el behavior'

  context 'with a dev puppet-agent version' do
    let(:aio_agent_build) { '1.2.3.4.gabcde' }

    include_examples 'el behavior'
  end
end
