require 'spec_helper'
require 'shared_context'

describe 'pe_repo::osx' do
  let(:title) { 'osx-10.13-x86_64' }
  let(:pe_build_version) { '2016.4.10' }
  include_context 'pe_build_version function'
  let(:facts) do
    {
      :aio_agent_build => '1.2.2',
    }
  end
  let(:params) do
    {
      :codename   => 'high sierra',
      :pe_version => '2016.4.10',
    }
  end

  it "compiles" do
    should compile.with_all_deps
  end

  it "downloads and creates a dmg file" do
    should contain_pe_staging__deploy('puppet-agent-osx-10.13.tar.gz')
      .with(:source  => 'https://pm.puppetlabs.com/puppet-agent/2016.4.10/1.2.2/repos/puppet-agent-osx-10.13.tar.gz')
      .with(:creates => '/opt/puppetlabs/server/data/packages/public/2016.4.10/osx-10.13-x86_64-1.2.2/puppet-agent-1.2.2-1.osx10.13.dmg')
      .with(:target  => '/opt/puppetlabs/server/data/packages/public/2016.4.10/osx-10.13-x86_64-1.2.2')
  end
end
