require 'spec_helper'
require 'shared_context'

describe 'pe_repo::windows' do
  let(:title) { 'windows-x86_64' }
  let(:pe_build_version) { '2015.2.1' }
  include_context 'pe_build_version function'
  let(:params) do
    {
      :arch => 'x64',
    }
  end

  it "compiles" do
    should compile.with_all_deps
  end

  context 'when pe_version is set explicitly' do
    let(:explicit_version) { '1.2.3.4' }
    let(:params) do
      {arch: 'x64',
       pe_version: explicit_version}
    end

    it 'builds install.ps1 script with that PE version' do
      is_expected.to contain_file("/opt/puppetlabs/server/data/packages/public/#{explicit_version}/install.ps1")
        .with_content(/\$pe_version\s*=\s*'#{explicit_version}'/)
    end
  end
end
