require 'erb'

# Hack to handle unwrapping of erb with instance vars.
class SpecTemplateWrapper

  # Further hack to allow processing of scope.function_template() calls within the erb.
  class Function
    attr_accessor :vars

    def initialize(vars)
      @vars = vars
    end

    def function_template(template_array)
      result = ""
      template_array.each do |file|
        t = SpecTemplateWrapper.new(file.sub('pe_repo',PeRepoHelpers.templates_dir), vars)
        result << t.evaluated
      end
      result
    end
  end

  attr_accessor :filename, :vars

  def initialize(filename, **vars)
    @filename = filename
    @vars = vars
    vars.each do |k,v|
      instance_variable_set("@#{k}",v)
    end
  end

  def scope
    Function.new(vars)
  end

  def evaluated
    e = ERB.new(File.read(filename))
    e.result(binding)
  end
end
