require 'rspec-puppet'
require 'shared/matchers'

module PeRepoHelpers
  def self.root_dir
    File.join(File.dirname(__FILE__), '..')
  end

  def self.fixtures_dir
    "#{root_dir}/spec/fixtures"
  end

  def self.templates_dir
    "#{root_dir}/templates"
  end

  def root_dir
    self.class.root_dir
  end

  def fixtures_dir
    self.class.fixtures_dir
  end

  def templates_dir
    self.class.templates_dir
  end

  def self.get_platform_classes
    platform_manifests_path = File.join(root_dir, "manifests/platform/*")
    Dir.glob(platform_manifests_path).map do |file|
      File.basename(file).split('.')[0]
    end
  end
end

RSpec.configure do |c|
  c.include PeRepoHelpers
  c.module_path = File.join(PeRepoHelpers.fixtures_dir, 'modules')
  c.manifest_dir = File.join(PeRepoHelpers.fixtures_dir, 'manifests')
  c.default_facts = {
    :path => "/usr/local/bin:/usr/bin:/bin",
    :pe_build => '2016.2.0',
  }
end
