require 'spec_helper'

describe 'puppet_enterprise::certs::puppetdb_whitelist' do
  context 'on a supported platform' do
    let(:title) { 'export: some-cert for puppetdb' }

    let(:facts) do
      {
        :fqdn     => 'test.domain.local'
      }
    end

    let(:params) do
      {
        :certnames => ['some-cert'],
      }
    end

    let(:pre_condition) do
      <<-PRE_COND
        class {'puppet_enterprise':
          puppet_master_host           => 'master.rspec',
        }
        file { '/etc/puppetlabs/puppetdb/certificate-whitelist': }
      PRE_COND
    end

    it { should contain_pe_file_line("/etc/puppetlabs/puppetdb/certificate-whitelist:some-cert").with('line' => 'some-cert') }
  end

end
