require 'spec_helper'

describe 'puppet_enterprise::pg::pglogical::drop_orphaned_triggers' do
  it { is_expected.to compile.with_all_deps }

  RSpec.shared_examples 'for a database' do
    it do
      is_expected.to contain_pe_postgresql_psql("Drop pglogical trigger pglogical_truncate_trigger_add for #{database} sql")
        .with_db(database)
        .with_command(/DROP EVENT TRIGGER.*pglogical_truncate_trigger_add/)
    end

    it do
      is_expected.to contain_pe_postgresql_psql("Drop pglogical trigger pglogical_dependency_check_trigger for #{database} sql")
        .with_db(database)
        .with_command(/DROP EVENT TRIGGER.*pglogical_dependency_check_trigger/)
    end
  end

  context 'for the pe-classifier database' do
    let(:database) { 'pe-classifier' }

    include_examples('for a database')
  end

  context 'for the pe-rbac database' do
    let(:database) { 'pe-rbac' }

    include_examples('for a database')
  end

  context 'for the pe-orchestrator database' do
    let(:database) { 'pe-orchestrator' }

    include_examples('for a database')
  end

  context 'for the pe-activity database' do
    let(:database) { 'pe-activity' }

    include_examples('for a database')
  end
end
