require 'spec_helper'

describe 'puppet_enterprise::profile::bolt_server' do
  let(:params) do
    {   
      'certname' => 'bolt.rspec',
      'settings' => { 'concurrency' => '100',
                      'cache-dir' => '/path/to/cache'}
    }   
  end 

  it { should contain_puppet_enterprise__orchestrator__ruby_service('bolt-server').with(:certname => 'bolt.rspec',
                                                                                        :container => 'bolt-server',
                                                                                        :ssl_listen_port => '62658',
                                                                                        :settings => { 'concurrency' => '100',
                                                                                                       'file-server-uri'=>'https://master.rspec:8140',
                                                                                                       'cache-dir' => '/path/to/cache' }
                                                                                       ) }     
end
