require 'spec_helper'

describe 'puppet_enterprise::certs', :type => :define do
  let(:title) { 'puppetdb' }
  let(:params) do
    {
      'certname'  => 'puppetdb.local.domain',
      'cert_dir'  => '/etc/puppetlabs/puppetdb/ssl',
      'container' => 'puppetdb'
    }
  end

  let(:pre_condition) do
    <<-PRE_COND
      class {'puppet_enterprise':
        puppet_master_host           => 'master.rspec',
      }
      puppet_enterprise::trapperkeeper::pe_service { 'puppetdb': }
      package { 'pe-puppetdb': }
    PRE_COND
  end

  context 'make_pk8_cert is false' do
    before(:each) do
      params['make_pk8_cert'] = false
    end

    it { should_not contain_puppet_enterprise__certs__pk8_cert('/etc/puppetlabs/puppetdb/ssl/puppetdb.local.domain.private_key.pk8') }

  end

  context 'make_pk8_cert is true' do
    before(:each) do
      params['make_pk8_cert'] = true
    end

    it { should contain_puppet_enterprise__certs__pk8_cert('/etc/puppetlabs/puppetdb/ssl/puppetdb.local.domain.private_key.pk8') }

  end
end
