require 'spec_helper'

describe 'puppet_enterprise::deprecated_parameter', :type => :define do
  let(:title) { 'some::parameter' }
  let(:pre_condition) do
    <<-CLASSES
      class some(
        $parameter = undef
      ) { }
      include some
    CLASSES
  end

  it { is_expected.to contain_puppet_enterprise__deprecated_parameter('some::parameter') }
  it { is_expected.to_not contain_notify("#{title} is deprecated") }

  context 'when set' do
    let(:pre_condition) do
      <<-CLASSES
        class some(
          $parameter = undef
        ) { }
        class { some:
          parameter => 'bar'
        }
      CLASSES
    end

    it do
      is_expected.to contain_notify("#{title} is deprecated")
        .with_message(/some::parameter parameter is deprecated.*has been set to 'bar'/)
        .with_loglevel('warning')
    end
  end
end
