require 'spec_helper'

describe 'puppet_enterprise::set_owner_group_permissions' do
  let(:title) { 'namevar' }

  let(:params) do
    {
      'file_mode'   => '0644',
      'owner'       => 'root',
      'group'       => 'root',
      'target_type' => 'directory',
      'target'      => 'foo',
    }
  end

  context "recursive directories" do
    before :each do
      params['dir_mode'] = '0755'
    end
    it { is_expected.to contain_exec("Set perms of foo/ directories to 0755") }
  end

  context "target_type=directory without dir_mode set" do
    it { is_expected.to raise_error(/puppet_enterprise::set_owner_group_permissions::dir_mode parameter is required when target_type is set to directory/) }
  end

  context "files" do
    before :each do
      params['target_type'] = 'file'
    end
    it { is_expected.to_not contain_exec(/Set perms of foo\/? directories/) }
  end
end
