#! /usr/bin/env ruby -S rspec
require 'spec_helper'

describe 'pe_hash2dsn' do
  it "should exist" do
    expect(Puppet::Parser::Functions.function("pe_hash2dsn")).to eq("function_pe_hash2dsn")
  end

  it "should work with 0 entries" do
    expect(subject).to run.with_params({}).and_return('')
  end

  it "should work with 1 entry" do
    expect(subject).to run.with_params({'a' => 'b'}).and_return('a=b')
  end

  it "should work with 2 entries" do
    expect(subject).to run.with_params({'a' => 'b', 'c' => 'd'}).and_return('a=b c=d')
  end
end
