#! /usr/bin/env ruby -S rspec
require 'spec_helper'

describe "pe_servername" do
  it "exists" do
    expect(Puppet::Parser::Functions.function("pe_servername")).to eq("function_pe_servername")
  end

  it "raises a ParseError if there are arguments" do
    expect(subject).to run.with_params(['1']).and_raise_error(Puppet::ParseError)
  end

  it "returns nil if servername is unset" do
    expect(subject).to run.with_params().and_return(nil)
  end

  context "servername is set" do
    it "returns servername" do
      expect(scope).to receive(:exist?).with('servername').and_return(true)
      expect(scope).to receive(:lookupvar).with('servername').and_return('foobar')
      expect(subject).to run.with_params().and_return('foobar')
    end
  end
end
