#! /usr/bin/env ruby -S rspec
require 'spec_helper'

describe "puppet_enterprise::calculate_log_temp_files" do
  context "when specifying work_mem in kB" do
    it { is_expected.to run.with_params('4kB').and_return(4)}
  end
  context "when specifying work_mem in MB" do
    it { is_expected.to run.with_params('5MB').and_return(5120)}
  end
  context "when specifying work_mem in GB" do
    it { is_expected.to run.with_params('1GB').and_return(1048576)}
  end
  context "when specifying work_mem in TB" do
    it { is_expected.to run.with_params('1TB').and_return(1073741824)}
  end
  context "when specifying work_mem as a string without a memory unit" do
    it { is_expected.to run.with_params('512').and_return(512)}
  end
  context "when specifying work_mem as an integer without a memory unit" do
    it { is_expected.to run.with_params(384).and_return(384)}
  end
end
