require 'spec_helper'

describe 'all-in-one', :type => :host do
  let(:facts) { {} }
  before :each do
    facts['processors'] = {"count"=>8, "speed"=>"2.5 GHz"}
    facts['clientcert'] = 'all-in-one.rspec'
    Puppet::Parser::Functions.newfunction(:pe_compiling_server_aio_build, :type => :rvalue) do |args|
      nil
    end

    Puppet::Parser::Functions.newfunction(:puppetdb_query, :type => :rvalue, :arity => 1) do |args|
      []
    end
  end

  let(:node) { 'all-in-one.rspec' }
  let(:pre_condition) {}

  it { is_expected.to compile.with_all_deps }
  it { is_expected.to contain_class('puppet_enterprise::profile::master') }
  it { is_expected.to contain_class('puppet_enterprise::profile::console') }
  it { is_expected.to contain_class('puppet_enterprise::profile::puppetdb') }
  it { is_expected.to contain_class('puppet_enterprise::profile::certificate_authority') }
  it { is_expected.to contain_class('puppet_enterprise::profile::database') }
  it { is_expected.to contain_class('puppet_enterprise::profile::orchestrator') }
end
