require 'spec_helper'

describe 'camaster', :type => :host do
  let(:node) { 'camaster.rspec' }
  let(:pre_condition) {}

  RSpec.shared_examples 'common ca state' do
    it { should satisfy_all_relationships }

    it { should contain_pe_concat__fragment('puppetserver certificate-authority-service') }
    it { should contain_pe_hocon_setting('certificate-authority.proxy-config').with_ensure('absent') }
    it do
      should contain_pe_hocon_setting('certificate-authority.proxy-config.proxy-target-url')
        .with_ensure('absent')
    end
    it do
      should contain_pe_hocon_setting('certificate-authority.proxy-config.ssl-opts.ssl-cert')
        .with_ensure('absent')
    end
    it do
      should contain_pe_hocon_setting('certificate-authority.proxy-config.ssl-opts.ssl-key')
        .with_ensure('absent')
    end
    it do
      should contain_pe_hocon_setting('certificate-authority.proxy-config.ssl-opts.ssl-ca-cert')
        .with_ensure('absent')
    end
  end

  context "split" do

    include_examples 'common ca state'

    it { should contain_pe_puppet_authorization__rule('puppetlabs certificate status')
      .with_match_request_path('/puppet-ca/v1/certificate_status/')
      .with_match_request_type('path')
      .with_match_request_method(['get', 'put', 'delete'])
      .with_allow(['console.rspec', 'master.rspec', { 'extensions' => { ':pp_cli_auth' => 'true' } }])
      .with_sort_order(500)
      .with_path('/etc/puppetlabs/puppetserver/conf.d/auth.conf')
      .with_notify('Service[pe-puppetserver]') }

    it { should contain_pe_puppet_authorization__rule('puppetlabs certificate statuses')
      .with_match_request_path('/puppet-ca/v1/certificate_statuses/')
      .with_match_request_type('path')
      .with_match_request_method('get')
      .with_allow(['console.rspec', 'master.rspec', { 'extensions' => { ':pp_cli_auth' => 'true' } }])
      .with_sort_order(500)
      .with_path('/etc/puppetlabs/puppetserver/conf.d/auth.conf')
      .with_notify('Service[pe-puppetserver]') }
  end
end
