require 'spec_helper'

describe 'customize-http-redirect', :type => :host do
  let(:facts) { {} }
  before :each do
    facts['processors'] = {"count"=>8, "speed"=>"2.5 GHz"}
    facts['clientcert'] = 'customize-http-redirect'
    Puppet::Parser::Functions.newfunction(:pe_compiling_server_aio_build, :type => :rvalue) do |args|
      nil
    end

    Puppet::Parser::Functions.newfunction(:puppetdb_query, :type => :rvalue, :arity => 1) do |args|
      []
    end
  end

  let(:node) { 'customize-http-redirect' }
  let(:pre_condition) {}

  it { is_expected.to compile.with_all_deps }

  it { should contain_file('/etc/puppetlabs/nginx/conf.d/http_redirect.conf').
        with_content(%r{server_name my_custom_console_host}) }

end
