require 'spec_helper'

describe 'external-database-port', :type => :host do
  let(:facts) { {} }
  before :each do
    facts['processors'] = {"count"=>8, "speed"=>"2.5 GHz"}
    facts['clientcert'] = 'external-database-port.rspec'
    Puppet::Parser::Functions.newfunction(:pe_compiling_server_aio_build, :type => :rvalue) do |args|
      nil
    end

    Puppet::Parser::Functions.newfunction(:database_query, :type => :rvalue, :arity => 1) do |args|
      []
    end
  end

  let(:node) { 'external-database-port.rspec' }
  let(:pre_condition) {}

  it { is_expected.to compile.with_all_deps }
  it { is_expected.to contain_class('puppet_enterprise::profile::master') }
  it { is_expected.to contain_class('puppet_enterprise::profile::console').with(
    'database_host' => 'database.rspec',
    'database_port' => 1234
    ) }
  it { is_expected.to contain_puppet_enterprise__trapperkeeper__classifier('console-services').with(
    'database_host' => 'database.rspec',
    'database_port' => 1234
    ) }
  it { is_expected.to contain_puppet_enterprise__trapperkeeper__activity('console-services').with(
    'database_host' => 'database.rspec',
    'database_port' => 1234
    ) }
  it { is_expected.to contain_puppet_enterprise__trapperkeeper__rbac('console-services').with(
    'database_host' => 'database.rspec',
    'database_port' => 1234
    ) }
  it { is_expected.to contain_class('puppet_enterprise::profile::puppetdb').with(
    'database_host' => 'database.rspec',
    'database_port' => 1234
    ) }
  it { is_expected.to contain_class('puppet_enterprise::profile::certificate_authority') }
  it { is_expected.to contain_class('puppet_enterprise::profile::orchestrator').with(
    'database_host' => 'database.rspec',
    'database_port' => 1234
    ) }
  it { is_expected.to contain_puppet_enterprise__trapperkeeper__orchestrator('orchestration-services').with(
    'database_host' => 'database.rspec',
    'database_port' => 1234
    ) }
end
