require 'spec_helper'

describe 'multiple-puppetdb', :type => :host do
  let(:facts) { {} }
  before :each do
    facts['processors'] = {"count"=>8, "speed"=>"2.5 GHz"}
    facts['clientcert'] = 'multiple-puppetdb.rspec'
    Puppet::Parser::Functions.newfunction(:pe_compiling_server_aio_build, :type => :rvalue) do |args|
      nil
    end

    Puppet::Parser::Functions.newfunction(:puppetdb_query, :type => :rvalue, :arity => 1) do |args|
      []
    end
  end

  let(:node) { 'multiple-puppetdb.rspec' }
  let(:pre_condition) {}

  it { is_expected.to compile.with_all_deps }
  it { is_expected.to contain_class('puppet_enterprise::profile::master').with(
    'puppetdb_host' => ['puppetdb1.rspec','puppetdb2.rspec'],
    'puppetdb_port' => [9090]
    ) }
  it { is_expected.to contain_class('puppet_enterprise::profile::console').with(
    'puppetdb_host' => ['puppetdb1.rspec','puppetdb2.rspec'],
    'puppetdb_port' => [9090]
    ) }
  it { is_expected.to contain_class('puppet_enterprise::profile::puppetdb').with(
    'ssl_listen_port' => [9090]
    ) }
  it { is_expected.to contain_class('puppet_enterprise::profile::certificate_authority') }
  it { is_expected.to contain_class('puppet_enterprise::profile::database').with(
    'puppetdb_hosts' => ['puppetdb1.rspec','puppetdb2.rspec'],
    ) }
  it { is_expected.to contain_class('puppet_enterprise::profile::orchestrator').with(
    'puppetdb_host' => ['puppetdb1.rspec','puppetdb2.rspec'],
    'puppetdb_port' => [9090]
    ) }
end
