require 'spec_helper'

describe 'puppetdb_jetty_cert_change', :type => :host do
  let(:facts) { {} }
  before :each do
    facts['processors'] = {"count"=>8, "speed"=>"2.5 GHz"}
    facts['clientcert'] = 'puppetdb_jetty_cert_change'
    Puppet::Parser::Functions.newfunction(:pe_compiling_server_aio_build, :type => :rvalue) do |args|
      nil
    end

    Puppet::Parser::Functions.newfunction(:puppetdb_query, :type => :rvalue, :arity => 1) do |args|
      []
    end
  end

  let(:node) { 'puppetdb_jetty_cert_change' }
  let(:shared_cert) { 'my_shared_puppetdb_cert' }
  let(:pre_condition) {}

  it { is_expected.to compile.with_all_deps }
  it { should contain_pe_ini_setting('puppetdb_ssl_key').
        with(
          'ensure'  => 'present',
          'path'    => '/etc/puppetlabs/puppetdb/conf.d/jetty.ini',
          'section' => 'jetty',
          'setting' => 'ssl-key',
          'value'   => "/etc/puppetlabs/puppetdb/ssl/#{shared_cert}.private_key.pem",
  )}
  it { should contain_pe_ini_setting('puppetdb_ssl_cert').
        with(
          'ensure'  => 'present',
          'path'    => '/etc/puppetlabs/puppetdb/conf.d/jetty.ini',
          'section' => 'jetty',
          'setting' => 'ssl-cert',
          'value'   => "/etc/puppetlabs/puppetdb/ssl/#{shared_cert}.cert.pem",
  )}
end
