# Monorepo creation tool - mono-repo.rb

## Structure

Since kearney is effectively the current development branch (master, basically), the
tool filters kearney branches for each module and then merges them together into a
kearney monorepo branch. Since kearney contains all of johnson and irving commits (assuming
we build it at a time when all the modules have been merged up to kearney), the johnson
and irving monorepo branches are generated by merging their head commits out of the kearney
branch into a johnson and irving branch respectively.

### Branches

* master - currently this is the template branch that contains the mono-repo.rb script
* kearney
* johnson
* irving
* \<version\>-\<module\> branches (for example kearney-puppet_enterprise)
  (these only exist for reference, and will probably be dropped)

### Layout

Within a branch we currently have this directory structure:

* modules/\<module_name\>
* spec/
* .gitignore
* .travis.yml
* Gemfile
* README.md
* Rakefile
* tools/mono-repo.rb

### mono-repo.rb

The [mono-repo.rb](mono-repo.rb) script is the tool used to create this
repository from the individual modules. It allows you to filter-branch any
specific module/branch into a branch-module branch namespaced into
modules/\<module_name\> with tags rewritten as module/\<module_name\>/\<tag\>.
Each commit contains a reference to the original commit.
